package cn.com.ty.lift.business.annualinspection.service.impl;

import cn.com.ty.lift.business.annualinspection.dto.InspectionRequest;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import cn.com.ty.lift.business.annualinspection.mapper.AnnualInspectionMapper;
import cn.com.ty.lift.business.annualinspection.service.AnnualInspectionService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 年检记录 服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-10
 */
@Service
public class AnnualInspectionServiceImpl extends ServiceImpl<AnnualInspectionMapper, AnnualInspection> implements AnnualInspectionService {

    @Autowired
    private AnnualInspectionMapper annualInspectionMapper;

    @Override
    public IPage<AnnualInspection> listByCondition(InspectionRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<AnnualInspection> page = new Page<>(pageNum,pageSize);
        IPage<AnnualInspection> lists = annualInspectionMapper.listByCondition(page,request);
        return lists;
    }

}
