package cn.com.ty.lift.enterprise.custom.service.impl;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.enterprise.custom.dao.entity.PropertyContact;
import cn.com.ty.lift.enterprise.custom.dao.mapper.PropertyContactMapper;
import cn.com.ty.lift.enterprise.custom.service.PropertyContactService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;

/**
 * <p>
 * (甲方联系人)客户联系人表 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Service
@Transactional
@AllArgsConstructor
public class PropertyContactServiceImpl extends ServiceImpl<PropertyContactMapper, PropertyContact> implements PropertyContactService {

    public RestResponse delete(Long id) {
        PropertyContact byId = this.getById(id);
        if (byId.getStatus() == 2) {
            return RestResponse.ok(null, "0", "有正在服务的关联项目，无法删除");
        } else {
            byId.setStatus(0);
            if (this.updateById(byId)) {
                return RestResponse.ok(null, ApiConstants.RESULT_SUCCESS, "删除成功");
            } else {
                return RestResponse.ok(null, ApiConstants.RESULT_ERROR, "删除失败");
            }
        }
    }
}